<template>
  <nav class="navbar" role="navigation" aria-label="main navigation">
    <div class="navbar-menu">
      <div class="navbar-end">
        <router-link :to="{ name: 'Discover'}" class="navbar-item">
          <span class="icon">
            <i class="fas fa-compass has-text-danger"></i>
          </span>
          <span>
            Découvrir
          </span>
        </router-link>
        <router-link :to="{ name: 'Concerts'}" class="navbar-item">
          <span class="icon">
            <i class="fas fa-music has-text-link"></i>
          </span>
          <span>
            Concerts
          </span>
        </router-link>
        <router-link :to="{ name: 'Chats'}" class="navbar-item">
          <span class="icon">
            <i class="fas fa-comments has-text-link"></i>
          </span>
          <span>
            Messages
          </span>
        </router-link
        </router-link>
        <router-link :to="{ name: 'Profile',params:{username:authedProfile.username}}" class="navbar-item">
          <span class="icon">
            <i class="fas fa-user has-text-link"></i>
          </span>
          <span>
            Profil
          </span>
        </router-link
        </router-link>
      </div>
    </div>
</nav>
</template>
<script>
import router from '@/router'
import { mapState } from 'vuex'
export default {
  name:'AppNav',
  computed:{
    ...mapState('profile',['authedProfile'])
  }
}
</script>
<style lang="scss" scoped>
.navbar{
  border-bottom: 1px solid #f4f5f7;
  .navbar-menu{
    span{
      &.icon{
        margin-right: 0.25em;
        margin-left: -0.25em;
      }
    }
  }
}


</style>
